library IEEE;
use IEEE.STD_LOGIC_1164.ALL;


entity Tb_Practica1 is
end Tb_Practica1;

architecture Behavioral of Tb_Practica1 is
 component Practica1 is
   Port ( 
           clk            : in std_logic;
           reset          : in std_logic;
           segmentos      : out std_Logic_vector(6 downto 0);
           selector       : out std_logic_vector(3 downto 0)
        );
   end component;
   
    --Inputs
     signal clk       : std_logic := '0';
     signal reset     : std_logic := '0';
     signal Enable    : std_logic := '0';
  
     --Outputs
     signal segmentos     :  std_logic_vector(6 downto 0);
     signal selector      :  std_logic_vector(3 downto 0);
     
     -- Clock period definitions
     constant clk_period : time := 8 ns;
   
begin
    -- Instantiate the Unit Under Test (UUT)
   cut: Practica1 PORT MAP (
          clk => clk,
          reset => reset,
          segmentos => segmentos,
          selector => selector);


   -- Clock process definitions
   clk_process :process
   begin
		clk <= '0';
		wait for clk_period/2;
		clk <= '1';
		wait for clk_period/2;
   end process;
   
   -- Stimulus process
   stim_proc: process
   begin        
      -- hold reset state for 100 ns.
        reset <= '1';
        wait for 100 ns;    
        reset <= '0';
        enable <= '1';
      wait;
   end process;   
   
end Behavioral;


