

library IEEE;
use IEEE.STD_LOGIC_1164.ALL;

entity Chrono is
  Port (clk : in std_logic;
        reset : in std_logic;
        segundos : out std_logic_vector(3 downto 0);
        dec_segundos : out std_logic_vector(3 downto 0);
        minutos : out std_logic_vector(3 downto 0);
        dec_minutos : out std_logic_vector(3 downto 0)
        );
end Chrono;

architecture Behavioral of Chrono is

    constant MaxCount: integer :=125000000;
    signal Count: integer range 0 to MaxCount-1;
    signal Enable,Enable_segundos: std_logic;
    
    signal Enable_1s: std_logic;
    signal Enable_10s: std_logic;
    signal Enable_1m: std_logic;
    signal Enable_10m: std_logic;
    
    signal Count_segundos: unsigned (3 downto 0);
    signal Count_dec_segundos: unsigned (3 downto 0);                                              
    signal Count_minutos: unsigned (3 downto 0);
    signal Count_dec_minutos: unsigned (3 downto 0);

begin
    Enable '1';
    --divisor de frecuencia
    process(clk,reset)
        begin
            if(reset ='1') then
                Count <=0;
            elsif(clk'event and clk ='1') then
                if(Enable='1') then
                    if(Count =MaxCount-1) then
                        Count <= 0;
                    else
                        Count <= Count+1;
                    end if;
                 end if;
             end if;
        end process;
        
        Enable_segundos <= '1' when Count =MaxCount-1 else '0';
        
        
        --Contador de segundos que cuente segundos de 0 a 9
        Enable_DecSeg <=
        --Contador de decenas de segundos 
        Enable_Minutos <=
        --Contador de minutos
        Enable_DecMinutos <=
        --Contador de decenas de minutos
        --

end Behavioral;
